Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.delegate
Interface ProducerDelegate

All Superinterfaces:
  Closeable

All Known Implementing Classes:
  ClientProducerDelegate

public interface ProducerDelegate
extends Closeable

Represents the minimal set of operations to provide producer functionality.

Version:
  `$Revision: 1.14 $`
Author:
  Ovidiu Feodorov, Tim Fox

Method Summary
`int` | `getDeliveryMode()`
`JBossDestination` | `getDestination()`
`boolean` | `getDisableMessageID()`
`boolean` | `getDisableMessageTimestamp()`
`int` | `getPriority()`
`long` | `getTimeToLive()`
`void` | `send(JBossDestination destination, Message message, int deliveryMode, int priority, long timeToLive)` This method is only handled by the advice stack, the corresponding invocation is never sent to the server.
`void` | `setDeliveryMode(int deliveryMode)`
`void` | `setDestination(JBossDestination dest)`
`void` | `setDisableMessageID(boolean value)`
`void` | `setDisableMessageTimestamp(boolean value)`
`void` | `setPriority(int defaultPriority)`
`void` | `setTimeToLive(long timeToLive)`

Methods inherited from interface org.jboss.jms.client.Closeable
`close, closing`

Method Detail

### setDisableMessageID

    public void setDisableMessageID(boolean value)
                             throws JMSException

  Throws:
    `JMSException`

### getDisableMessageID

    public boolean getDisableMessageID()
                                throws JMSException

  Throws:
    `JMSException`

### setDisableMessageTimestamp

    public void setDisableMessageTimestamp(boolean value)
                                    throws JMSException

  Throws:
    `JMSException`

### getDisableMessageTimestamp

    public boolean getDisableMessageTimestamp()
                                       throws JMSException

  Throws:
    `JMSException`

### setDeliveryMode

    public void setDeliveryMode(int deliveryMode)
                         throws JMSException

  Throws:
    `JMSException`

### getDeliveryMode

    public int getDeliveryMode()
                        throws JMSException

  Throws:
    `JMSException`

### setPriority

    public void setPriority(int defaultPriority)
                     throws JMSException

  Throws:
    `JMSException`

### getPriority

    public int getPriority()
                    throws JMSException

  Throws:
    `JMSException`

### setTimeToLive

    public void setTimeToLive(long timeToLive)
                       throws JMSException

  Throws:
    `JMSException`

### getTimeToLive

    public long getTimeToLive()
                       throws JMSException

  Throws:
    `JMSException`

### getDestination

    public JBossDestination getDestination()
                                    throws JMSException

  Throws:
    `JMSException`

### setDestination

    public void setDestination(JBossDestination dest)

### send

    public void send(JBossDestination destination,
                     Message message,
                     int deliveryMode,
                     int priority,
                     long timeToLive)
              throws JMSException

  This method is only handled by the advice stack, the corresponding invocation is never sent to the server.

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.